
//
// To jest przykładowy kod z podrozdziału 9.4.4 "Definiowanie funkcji składowych" książki 
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

//------------------------------------------------------------------------------

// Prosty typ Date (niektórzy wolą, aby szczegóły implementacyjne były na końcu).
class Date {
public:
    Date(int yy, int mm, int dd) 
        :y(yy), m(mm), d(dd)        
    {
        // ...
    }

    void add_day(int n)
    {
        // ...
    }

    int month() { return m; }

    // ...
private:
    int y, m, d;            // Rok, miesiąc, dzień
};

//------------------------------------------------------------------------------

int main()
{
    Date sunday(2004,8,29); // Inicjacja sunday wartością (2004,8,29).
    sunday.add_day(7);      // Przeskakuje 7 dni.
    return sunday.month();  // Pobiera miesiąc niedzieli.
}

//------------------------------------------------------------------------------
